/* inflate.h for UnZip -- Not copyrighted 1993 by Mark Adler
   version c14, 12 March 1993 */


/* You can do whatever you like with this source file, though I would
   prefer that if you modify it and redistribute it that you include
   comments to that effect with your name and the date.  Thank you.

   History:
   vers    date          who           what
   ----  ---------  --------------  ------------------------------------
    c14  12 Mar 93  M. Adler        made inflate.c standalone with the
    				    introduction of inflate.h.
 */

#include "unzip.h"	/* this provides slide[] and typedefs */

#ifdef INFMOD
  ush bytebuf;
#endif /* INFMOD */
#define NEXTBYTE    (ReadByte(&bytebuf), bytebuf)


void flush OF((unsigned));
#ifdef INFMOD
void flush(w)
unsigned w;             /* number of bytes to flush */
/* Do the equivalent of OUTB for the bytes slide[0..w-1]. */
{
  unsigned n;
  uch *p;

  p = slide;
  while (w)
  {
    n = (n = OUTBUFSIZ - outcnt) < w ? n : w;
    memcpy(outptr, p, n);       /* try to fill up buffer */
    outptr += n;
    if ((outcnt += n) == OUTBUFSIZ)
      FlushOutput();            /* if full, empty */
    p += n;
    w -= n;
  }
}
#endif /* INFMOD */
#define FLUSH(w) flush(w)
