!==========================================================================
! MMS description file for UnZip 5.1                               7 Aug 93
!==========================================================================
!
!   Original by Antonio Querubin, Jr., <querubin@uhccvx.uhcc.hawaii.edu>
!     (23 Dec 90)
!   Enhancements by Igor Mandrichenko, <mandrichenko@mx.decnet.ihep.su>
!     (9 Feb 92)

! To build UnZip that uses shared libraries,
!	mms
! (One-time users will find it easier to use the MAKE_VAXC.COM command
! file, which generates both UnZip and ZipInfo.  Just type "@MAKE_VAXC";
! or "@MAKE_GCC" if you have GNU C.)

! To build UnZip without shared libraries,
!	mms noshare

! To delete unnecessary .OBJ files,
!	mms clean

CC = cc
CFLAGS =
LD = link
LDFLAGS =
EXE =
O = .obj;
OBJS = unzip$(O), crypt$(O), envargs$(O), explode$(O), extract$(O),\
       file_io$(O), inflate$(O), match$(O), shared$(O),\
       unreduce$(O), unshrink$(O), zipinfo$(O), vms$(O)

LDFLAGS2 =

default	:	unzip.exe
	@	!	Do nothing.

unzip.exe :	$(OBJS), vmsshare.opt
	$(LD) $(LDFLAGS) $(OBJS), \
		vmsshare.opt/options

noshare :	$(OBJS)
	$(LD) $(LDFLAGS) $(OBJS), \
		sys$library:vaxcrtl.olb/library $(LDFLAGS2)

clean :
	delete $(OBJS)	! you may want to change this to 'delete *.obj;*'

crypt$(O) :	crypt.c unzip.h zip.h crypt.h
envargs$(O) :	envargs.c unzip.h
explode$(O) :	explode.c unzip.h
extract$(O) :	extract.c unzip.h crypt.h
file_io$(O) :	file_io.c unzip.h crypt.h
inflate$(O) :	inflate.c unzip.h
match$(O) :	match.c unzip.h
shared$(O) :	shared.c unzip.h
unreduce$(O) :	unreduce.c unzip.h
unshrink$(O) :	unshrink.c unzip.h
unzip$(O) :	unzip.c unzip.h
vms$(O)	  :	vms.c unzip.h
VMSmunch$(O) :	VMSmunch.c VMSmunch.h	! no longer used (QIO stuff)
zipinfo$(O) :	zipinfo.c unzip.h
